#!/usr/bin/python
# -*- coding: utf-8 -*-
# Initialization
import RPi.GPIO as GPIO
import time
import os
import serial
GPIO.setmode(GPIO.BCM)
GPIO_TPIN = 21

GPIO.setup(GPIO_TPIN,GPIO.OUT)
#GPIO.output(GPIO_TPIN, GPIO.HIGH)
#print ("HIGH")
#time.sleep(3)
GPIO.output(GPIO_TPIN, GPIO.LOW)
print ("Setting GPIO to LOW to reboot.")
print ("This will take approx. 6 seconds.")
time.sleep(6)
GPIO.cleanup()
print ("Reboot initiated")

serial_port = serial.Serial()

serial_port.baudrate = 38400
serial_port.port = '/dev/serial0'
serial_port.timeout = 1
serial_port.bytesize = 8
serial_port.stopbits = 1
serial_port.parity = serial.PARITY_NONE

if serial_port.isOpen(): serial_port.close()
serial_port.open()

serial_port.write(str.encode('set-config ' + '0 3'))
time.sleep(0.1)
serial_port.write(str.encode('\x0D'))
time.sleep(0.2)
os.system('sudo shutdown -h now')